Subject: Re: bug#43432: trilinos source vanished

From: Efraim Flashner <[email-masked]>
Date: Wed, 16 Sep 2020 10:09:07 +0300

On Wed, Sep 16, 2020 at 12:37:48AM +0200, zimoun wrote:
> Hi,
> 
> On Tue, 15 Sep 2020 at 22:24, Efraim Flashner <[email-masked]> wrote:
> > The source page for trilinos (gnu packages engineering) now points to a
> > Github page and the previous tarballs no longer seem to be available.
> > There's a content addressed substitute available from Berlin but I don't
> > see an original tarball from Debian to point to.
> 
> Ouch!
> 
> Well, Github delivers this tarball:
> 
>   <https://github.com/trilinos/Trilinos/archive/trilinos-release-12-12-1.tar.gz>
> 
> but yes, the hash does not match (guix download).  Does it matter?  Is
> it not possible to replace the vanished tarball by this one?

That's one of the autogenerated tarballs, so it wouldn't work in any
case.

> And it seems better to switch to git-fetch with commit.  Some arguments
> are exposed in this thread:
> 
>   <https://lists.gnu.org/archive/html/guix-devel/2020-05/msg00224.html>
> 
> BTW, since the Tarball Heritage is not ready yet, currently the easiest
> is to use ’git-fetch’, via “guix lint” to queue to SWH and with the
> right content-address, the fallback works.
> 
> 
> All the best,
> simon

I think it might be better to see about updating it to a newer version
and switch it to git-fetch at the same time.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted